Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class JDOMetaDataParser

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.solarmetric.meta.XMLMetaDataParser
                  |
                  +--com.solarmetric.meta.CFMetaDataParser
                        |
                        +--kodo.meta.JDOMetaDataParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, com.solarmetric.meta.MetaDataParser

public class JDOMetaDataParser
extends com.solarmetric.meta.CFMetaDataParser

Custom SAX parser used by the system to quickly parse JDO metadata files.

Field Summary
`static String` | `DOCTYPE_DEC`

Constructor Summary
`JDOMetaDataParser(JDOConfiguration conf)` Constructor.

Method Summary
`protected void` | `endClass(String className)`
`protected void` | `endClassElement(String name)`
`protected void` | `endExtension()`
`protected void` | `endField()`
`protected void` | `finish()`
`protected Reader` | `getDocType()`
`protected String` | `getExpectedRootName()`
`protected String` | `getExtension()`
`ClassLoader` | `getPMClassLoader()` Return the persistence manager class loader to pass on to parsed metadata instances.
`JDOMetaDataRepository` | `getRepository()` Returns the repository for this parser.
`protected void` | `reset()`
`InputSource` | `resolveEntity(String pub, String sys)`
`void` | `setPMClassLoader(ClassLoader loader)` Set the persistence manager class loader to pass on to parsed metadata instances.
`void` | `setRepository(JDOMetaDataRepository repos)` Set the metadata repository for this parser.
`protected void` | `startArray(Attributes attrs)`
`protected void` | `startClass(String className, Attributes attrs)`
`protected void` | `startClassElement(String name, Attributes attrs)`
`protected void` | `startCollection(Attributes attrs)`
`protected void` | `startExtension(Attributes attrs)`
`protected void` | `startField(Attributes attrs)`
`protected void` | `startMap(Attributes attrs)`

Methods inherited from class com.solarmetric.meta.CFMetaDataParser
`classForName, classForName, endElement, getDeclaredClass, getDeclaredPackage, startElement`

Methods inherited from class com.solarmetric.meta.XMLMetaDataParser
`addResult, characters, clear, currentClassLoader, endElement, error, fatalError, findMetaData, getClassLoader, getCurrentLocation, getLocation, getLog, getParseText, getResults, getSourceFile, getSourceIsSystemId, getSourceName, getText, isValidating, parse, parse, parse, parse, parseNew, setClassLoader, setDocumentLocator, setLocation, setLog, setParseText, setSourceIsSystemId, setValidating, startElement, throwException, throwException`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCTYPE_DEC

    public static final String DOCTYPE_DEC

Constructor Detail

### JDOMetaDataParser

    public JDOMetaDataParser(JDOConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getRepository

    public JDOMetaDataRepository getRepository()

  Returns the repository for this parser. If none has been set, creates a new repository and sets it.

### setRepository

    public void setRepository(JDOMetaDataRepository repos)

  Set the metadata repository for this parser.

### getPMClassLoader

    public ClassLoader getPMClassLoader()

  Return the persistence manager class loader to pass on to parsed metadata instances.

### setPMClassLoader

    public void setPMClassLoader(ClassLoader loader)

  Set the persistence manager class loader to pass on to parsed metadata instances.

### finish

    protected void finish()

  Overrides:
    `finish` in class `com.solarmetric.meta.XMLMetaDataParser`

### getExtension

    protected String getExtension()

  Overrides:
    `getExtension` in class `com.solarmetric.meta.XMLMetaDataParser`

### getExpectedRootName

    protected String getExpectedRootName()

  Overrides:
    `getExpectedRootName` in class `com.solarmetric.meta.XMLMetaDataParser`

### reset

    protected void reset()

  Overrides:
    `reset` in class `com.solarmetric.meta.CFMetaDataParser`

### getDocType

    protected Reader getDocType()
                         throws IOException

  Overrides:
    `getDocType` in class `com.solarmetric.meta.XMLMetaDataParser`

### startClass

    protected void startClass(String className,
                              Attributes attrs)
                       throws SAXException

  Overrides:
    `startClass` in class `com.solarmetric.meta.CFMetaDataParser`

### endClass

    protected void endClass(String className)

  Overrides:
    `endClass` in class `com.solarmetric.meta.CFMetaDataParser`

### startClassElement

    protected void startClassElement(String name,
                                     Attributes attrs)
                              throws SAXException

  Overrides:
    `startClassElement` in class `com.solarmetric.meta.CFMetaDataParser`

### endClassElement

    protected void endClassElement(String name)
                            throws SAXException

  Overrides:
    `endClassElement` in class `com.solarmetric.meta.CFMetaDataParser`

### startField

    protected void startField(Attributes attrs)
                       throws SAXException

### endField

    protected void endField()

### startArray

    protected void startArray(Attributes attrs)
                       throws SAXException

### startCollection

    protected void startCollection(Attributes attrs)
                            throws SAXException

### startMap

    protected void startMap(Attributes attrs)
                     throws SAXException

### startExtension

    protected void startExtension(Attributes attrs)

### endExtension

    protected void endExtension()

### resolveEntity

    public InputSource resolveEntity(String pub,
                                     String sys)
                              throws SAXException

  Overrides:
    `resolveEntity` in class `DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.